import { Flex } from 'antd';
import styles from './index.less';

/**
 * @description 已接入行业系统
 */

const IndustrySystem = () => {
  const list = [
    // {
    //   name: '审批监督处',
    //   sub: [
    //     {
    //       name: '成都市城管委信用信息报送系统'
    //     }
    //   ]
    // },
    {
      name: '城管执法',
      sub: [
        {
          name: '违法建设治理系统',
          url: 'https://wjzl.cdcgzfzd.cn:1234',
        },
        {
          name: '综合新政执法智慧服务平台',
          url: 'https://zhzf.tfryb.com',
        },
        
      ],
    },
    {
      name: '数字城管',
      sub: [
        {
          name: '成都市数字化城市管理信息系统',
          url: 'http://171.221.172.80:6888/eUrbanMTS/main.htm',
        },
      
        
      ],
    },
    {
      name: '道桥监管',
      sub: [
        {
          name: '桥梁水位监测系统',
          url: 'https://swjc.cddqgl.com:105',
        },
        {
          name: '桥梁健康监测系统',
          url: 'https://jk.cddqgl.com/#/login',
        },
        {
          name: '成都市城市道路桥梁监控中心综合应用平台',
          url: 'https://yj.cddqgl.com:8080/DQCenter',
        },
        {
          name: '成都市占用（挖掘）城市道路信息管理平台',
          url: 'https://gl.cdzdwj.com',
        },
        {
          name: '成都市道路桥梁信息管理系统',
          url: 'https://www.cddqgl.com',
        },
      ],
    },
    {
      name: '照明监管',
      sub: [
        {
          name: '成都市城市照明综合监管平台',
          url: 'https://service.cdzmjg.cn:8443',
        },
        {
          name: '照明运维系统',
          url: 'http://182.151.63.251:9000/login',
        },
      ],
    },
    {
      name: '扬尘治理',
      sub: [
      
        {
          name: '成都市工地扬尘监控及建筑垃圾运输处置信息和监管平台',
          url: 'http://221.237.182.174:8011',
        },
      ],
    },
  ];

  return (
    <Flex vertical className={styles.wrap}>
      <Flex className={styles.header}>
        <div>系统使用单位</div>
        <div>政务信息化系统</div>
      </Flex>
      <div className={styles.list}>
        {list.map((item) => (
          <Flex className={styles.listItem} align="center" key={item.name}>
            <div
              className={styles.name}
            >{`${item.name}(${item.sub.length})`}</div>
            <div>
              {item.sub.map((subItem) => (
                <div key={subItem.name} className={styles.subName} onClick={()=>{
                  window.open(subItem?.url)
                }}>
                  {subItem.name}
                </div>
              ))}
            </div>
          </Flex>
        ))}
      </div>
    </Flex>
  );
};

export default IndustrySystem;
